Debian Bug report logs - #433007
--dry-run can mark a package manually installed (in real life)

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Ken Bloom <kbloom@gmail.com>

Date: Fri, 13 Jul 2007 18:27:01 UTC

Severity: normal

Tags: patch

Found in versions apt/0.7.3, apt/0.7.21

Fixed in version apt/0.7.22

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#433007; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Ken Bloom <kbloom@gmail.com>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ken Bloom <kbloom@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt: "Failed to write temporary StateFile" in --dry-run
Date: Fri, 13 Jul 2007 13:24:26 -0500
Package: apt
Version: 0.7.3
Severity: normal

When I run "apt-get -s -o Debug::NoLocking=yes" with some install or
upgrade command, as a normal user, the last line of my output is
E: Failed to write temporary StateFile /var/lib/apt/extended_states.tmp

This suggests that apt-get would change the manual/automatic markings
of certain packages if I were doing this as root, even though I've
specified -s because I want to see what will happen.

apt should not need to write /var/lib/apt/extended_states.tmp when
doing a dry run.

--Ken

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "0";
APT::Install-Suggests "0";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^linux-image.*";
APT::NeverAutoRemove:: "^linux-restricted-modules.*";
APT::Periodic "";
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Authentication "";
APT::Authentication::TrustCDROM "true";
APT::Acquire "";
APT::Acquire::Translation "environment";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::userstatus "status.user";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi";
Acquire "";
Acquire::http "";
Acquire::http::Proxy "false";

-- (no /etc/apt/preferences present) --


-- /etc/apt/sources.list --

deb http://http.us.debian.org/debian/ unstable main non-free contrib
deb-src http://http.us.debian.org/debian/ unstable main non-free contrib
deb http://http.us.debian.org/debian/ experimental main non-free contrib
deb-src http://http.us.debian.org/debian/ experimental main non-free contrib

deb http://www.debian-multimedia.org sid main
deb-src http://www.debian-multimedia.org sid main


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt depends on:
ii  debian-archive-keyring  2007.02.19-0.1   GnuPG archive keys of the Debian a
ii  libc6                   2.6-2            GNU C Library: Shared libraries
ii  libgcc1                 1:4.2-20070707-1 GCC support library
ii  libstdc++6              4.2-20070707-1   The GNU Standard C++ Library v3

apt recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#433007; Package apt. (Sun, 26 Oct 2008 18:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Chanoch (Ken) Bloom" <kbloom@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 26 Oct 2008 18:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 433007@bugs.debian.org (full text, mbox):

From: "Chanoch (Ken) Bloom" <kbloom@gmail.com>
To: control@bugs.debian.org, 433007@bugs.debian.org
Subject: Patch
Date: Sun, 26 Oct 2008 13:51:23 -0500
[Message part 1 (text/plain, inline)]
tags 433007 + patch
thanks

Here's a patch that should fix this bug.

-- 
Ken (Chanoch) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/

[apt.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from "Chanoch (Ken) Bloom" <kbloom@gmail.com> to control@bugs.debian.org. (Sun, 26 Oct 2008 18:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#433007; Package apt. (Sun, 26 Oct 2008 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Chanoch (Ken) Bloom" <kbloom@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 26 Oct 2008 19:24:05 GMT) Full text and rfc822 format available.

Message #17 received at 433007@bugs.debian.org (full text, mbox):

From: "Chanoch (Ken) Bloom" <kbloom@gmail.com>
To: 433007@bugs.debian.org
Subject: Example of how apt can change package states in --dry-run
Date: Sun, 26 Oct 2008 14:21:55 -0500
[Message part 1 (text/plain, inline)]
Here is an example of how this bug can cause package states to change
between manually and automatically installed when using --dry-run

cat-in-the-hat:/# apt-get install ruby-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  g++-4.2 libcwidget1 libstdc++6-4.2-dev
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  irb irb1.8 libdbm-ruby libdbm-ruby1.8 libgdbm-ruby libgdbm-ruby1.8
  libopenssl-ruby libopenssl-ruby1.8 libreadline-ruby libreadline-ruby1.8
  libruby1.8 rdoc rdoc1.8 ri ri1.8 ruby ruby1.8 ruby1.8-dev
Suggested packages:
  graphviz ruby1.8-examples
Recommended packages:
  libtcltk-ruby ruby-elisp
The following NEW packages will be installed:
  irb irb1.8 libdbm-ruby libdbm-ruby1.8 libgdbm-ruby libgdbm-ruby1.8
  libopenssl-ruby libopenssl-ruby1.8 libreadline-ruby libreadline-ruby1.8
  libruby1.8 rdoc rdoc1.8 ri ri1.8 ruby ruby-full ruby1.8 ruby1.8-dev
0 upgraded, 19 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/6106kB of archives.
After this operation, 59.7MB of additional disk space will be used.
Do you want to continue [Y/n]? 
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously deselected package libruby1.8.
(Reading database ... 11296 files and directories currently installed.)
Unpacking libruby1.8 (from .../libruby1.8_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package ruby1.8.
Unpacking ruby1.8 (from .../ruby1.8_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package libreadline-ruby1.8.
Unpacking libreadline-ruby1.8 (from .../libreadline-ruby1.8_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package irb1.8.
Unpacking irb1.8 (from .../irb1.8_1.8.7.72-1_all.deb) ...
Selecting previously deselected package irb.
Unpacking irb (from .../apt/archives/irb_4.2_all.deb) ...
Selecting previously deselected package libdbm-ruby1.8.
Unpacking libdbm-ruby1.8 (from .../libdbm-ruby1.8_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package libdbm-ruby.
Unpacking libdbm-ruby (from .../libdbm-ruby_4.2_all.deb) ...
Selecting previously deselected package libgdbm-ruby1.8.
Unpacking libgdbm-ruby1.8 (from .../libgdbm-ruby1.8_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package libgdbm-ruby.
Unpacking libgdbm-ruby (from .../libgdbm-ruby_4.2_all.deb) ...
Selecting previously deselected package libopenssl-ruby1.8.
Unpacking libopenssl-ruby1.8 (from .../libopenssl-ruby1.8_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package libopenssl-ruby.
Unpacking libopenssl-ruby (from .../libopenssl-ruby_4.2_all.deb) ...
Selecting previously deselected package libreadline-ruby.
Unpacking libreadline-ruby (from .../libreadline-ruby_4.2_all.deb) ...
Selecting previously deselected package rdoc1.8.
Unpacking rdoc1.8 (from .../rdoc1.8_1.8.7.72-1_all.deb) ...
Selecting previously deselected package rdoc.
Unpacking rdoc (from .../apt/archives/rdoc_4.2_all.deb) ...
Selecting previously deselected package ri1.8.
Unpacking ri1.8 (from .../ri1.8_1.8.7.72-1_all.deb) ...
Selecting previously deselected package ri.
Unpacking ri (from .../apt/archives/ri_4.2_all.deb) ...
Selecting previously deselected package ruby.
Unpacking ruby (from .../apt/archives/ruby_4.2_all.deb) ...
Selecting previously deselected package ruby1.8-dev.
Unpacking ruby1.8-dev (from .../ruby1.8-dev_1.8.7.72-1_i386.deb) ...
Selecting previously deselected package ruby-full.
Unpacking ruby-full (from .../archives/ruby-full_4.2_all.deb) ...
Setting up libruby1.8 (1.8.7.72-1) ...
Setting up ruby1.8 (1.8.7.72-1) ...
Setting up libreadline-ruby1.8 (1.8.7.72-1) ...
Setting up irb1.8 (1.8.7.72-1) ...
Setting up irb (4.2) ...
Setting up libdbm-ruby1.8 (1.8.7.72-1) ...
Setting up libdbm-ruby (4.2) ...
Setting up libgdbm-ruby1.8 (1.8.7.72-1) ...
Setting up libgdbm-ruby (4.2) ...
Setting up libopenssl-ruby1.8 (1.8.7.72-1) ...
Setting up libopenssl-ruby (4.2) ...
Setting up libreadline-ruby (4.2) ...
Setting up rdoc1.8 (1.8.7.72-1) ...
Setting up rdoc (4.2) ...
Setting up ri1.8 (1.8.7.72-1) ...
Setting up ri (4.2) ...
Setting up ruby (4.2) ...
Setting up ruby1.8-dev (1.8.7.72-1) ...
Setting up ruby-full (4.2) ...
cat-in-the-hat:/# apt-get remove ruby-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  ruby1.8-dev irb1.8 libgdbm-ruby1.8 g++-4.2 rdoc ri libgdbm-ruby libcwidget1
  libreadline-ruby ruby1.8 libdbm-ruby ruby irb rdoc1.8 libstdc++6-4.2-dev
  libruby1.8 libdbm-ruby1.8 libopenssl-ruby1.8 libreadline-ruby1.8
  libopenssl-ruby ri1.8
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  ruby-full
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 32.8kB disk space will be freed.
Do you want to continue [Y/n]? 
(Reading database ... 23542 files and directories currently installed.)
Removing ruby-full ...
cat-in-the-hat:/# apt-get --dry-run install ruby1.8 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ruby1.8 is already the newest version.
ruby1.8 set to manually installed.
The following packages were automatically installed and are no longer required:
  ruby1.8-dev irb1.8 libgdbm-ruby1.8 g++-4.2 rdoc ri libgdbm-ruby libcwidget1
  libreadline-ruby libdbm-ruby ruby irb rdoc1.8 libstdc++6-4.2-dev
  libdbm-ruby1.8 libopenssl-ruby1.8 libreadline-ruby1.8 libopenssl-ruby ri1.8
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
cat-in-the-hat:/# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  ruby1.8-dev irb1.8 libgdbm-ruby1.8 g++-4.2 rdoc ri libgdbm-ruby libcwidget1
  libreadline-ruby libdbm-ruby ruby irb rdoc1.8 libstdc++6-4.2-dev
  libdbm-ruby1.8 libopenssl-ruby1.8 libreadline-ruby1.8 libopenssl-ruby ri1.8
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

The last list of packages that were automatically installed and are no
longer required should include ruby1.8. It doesn't because the
--dry-run install had side-effects.

The output of the --dry-run install is itself correct in not showing
ruby1.8 in the list of packages that were automatically installed and are
no longer required.

--Ken

-- 
Chanoch (Ken) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#433007; Package apt. (Mon, 27 Oct 2008 01:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Chanoch (Ken) Bloom" <kbloom@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 27 Oct 2008 01:54:02 GMT) Full text and rfc822 format available.

Message #22 received at 433007@bugs.debian.org (full text, mbox):

From: "Chanoch (Ken) Bloom" <kbloom@gmail.com>
To: 433007@bugs.debian.org, control@bugs.debian.org
Subject: Just discovered another matching (solved) bug
Date: Sun, 26 Oct 2008 20:52:16 -0500
[Message part 1 (text/plain, inline)]
retitle 433007 --dry-run can mark a package manually installed (in real life)
found 43307 0.7.16
thanks

I just discovered that this bug (as previously titled) was duplicated
by #498799, and that bug was closed. My error message has indeed gone
away with the fix in 0.7.16, but it is still possible to change a
package from automatically installed to manually installed when doing
a --dry-run, as I have demonstrated in a message earlier today.

--Ken

-- 
Chanoch (Ken) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `--dry-run can mark a package manually installed (in real life)' from `apt: "Failed to write temporary StateFile" in --dry-run'. Request was from "Chanoch (Ken) Bloom" <kbloom@gmail.com> to control@bugs.debian.org. (Mon, 27 Oct 2008 01:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#433007; Package apt. (Mon, 27 Oct 2008 16:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 27 Oct 2008 16:36:08 GMT) Full text and rfc822 format available.

Message #29 received at 433007@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: "Chanoch (Ken) Bloom" <kbloom@gmail.com>, 433007@bugs.debian.org
Subject: Re: Bug#433007: Patch
Date: Mon, 27 Oct 2008 18:33:31 +0200
[Message part 1 (text/plain, inline)]
Chanoch (Ken) Bloom wrote:
> tags 433007 + patch
> thanks
> 
> Here's a patch that should fix this bug.
> 
> 
Thanks! BTW, you haven't to change debian/changelog in the future patches :)

-- 
Eugene V. Lyubimkin aka JackYF, Ukrainian C++ developer.

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#433007; Package apt. (Mon, 27 Oct 2008 20:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 27 Oct 2008 20:45:10 GMT) Full text and rfc822 format available.

Message #34 received at 433007-quiet@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: "Chanoch (Ken) Bloom" <kbloom@gmail.com>, 433007-quiet@bugs.debian.org
Subject: Re: Bug#433007: Patch
Date: Mon, 27 Oct 2008 22:41:27 +0200
[Message part 1 (text/plain, inline)]
Chanoch (Ken) Bloom wrote:
>> Thanks! BTW, you haven't to change debian/changelog in the future patches :)
> 
> I know, but I needed to do it anyway to build test packages -- I figured
> it was easy enough to cut out on your end.
Agreed.

-- 
Eugene V. Lyubimkin aka JackYF, Ukrainian C++ developer.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#433007; Package apt. (Tue, 19 May 2009 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 19 May 2009 19:21:05 GMT) Full text and rfc822 format available.

Message #39 received at 433007@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies@gmail.com>
To: 433007@bugs.debian.org, control@bugs.debian.org
Subject: [patch] writeStateFile should not be called in dry-run mode
Date: Tue, 19 May 2009 21:17:20 +0200
[Message part 1 (text/plain, inline)]
found 433007 0.7.21
thanks

The patch proposed by Chanoch Bloom stops the execution of writeStateFile
then APT is in dry-run mode, but in bug #498799 it is mentioned that adding
checks against APT config items in the generic libapt is discouraged and
i guess the patch was therefore rejected without further notice.

Solution: apt-get should not call writeStateFile() in dry-run mode at all.
apt-get call this method only once, so the new patch is as simple as the
old patch and should apply fine against current debian-sid branch.
(btw: the patch is also available in my very experimental branch on launchpad)

Example: (assume python-apt is automatically installed)
=== without patch ===
$ LANG=en apt-get install python-apt -s -o "Debug::NoLocking=1"
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-apt is already the newest version.
python-apt set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 63 not upgraded.
E: Failed to write temporary StateFile /var/lib/apt/extended_states.tmp

=== with patch ===
$ LANG=en apt-get install python-apt -s -o "Debug::NoLocking=1"
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-apt is already the newest version.
python-apt set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 63 not upgraded.

thanks for reading and sorry for the mistakes i surely made -
but please be nice, it's my first time. ;)
(btw: no need to cc me - i am subscript to the mailing list)


Best regards / Mit freundlichen Grüßen,

David "DonKult" Kalnischkies
[writeStateFile-should-not-be-called-in-dry-run.patch (text/x-patch, attachment)]

Bug marked as found in version 0.7.21. Request was from David Kalnischkies <kalnischkies@gmail.com> to control@bugs.debian.org. (Tue, 19 May 2009 19:21:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Wed, 29 Jul 2009 22:18:22 GMT) Full text and rfc822 format available.

Notification sent to Ken Bloom <kbloom@gmail.com>:
Bug acknowledged by developer. (Wed, 29 Jul 2009 22:18:22 GMT) Full text and rfc822 format available.

Message #46 received at 433007-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 433007-close@bugs.debian.org
Subject: Bug#433007: fixed in apt 0.7.22
Date: Wed, 29 Jul 2009 22:02:39 +0000
Source: apt
Source-Version: 0.7.22

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.22_all.deb
  to pool/main/a/apt/apt-doc_0.7.22_all.deb
apt-transport-https_0.7.22_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.22_i386.deb
apt-utils_0.7.22_i386.deb
  to pool/main/a/apt/apt-utils_0.7.22_i386.deb
apt_0.7.22.dsc
  to pool/main/a/apt/apt_0.7.22.dsc
apt_0.7.22.tar.gz
  to pool/main/a/apt/apt_0.7.22.tar.gz
apt_0.7.22_i386.deb
  to pool/main/a/apt/apt_0.7.22_i386.deb
libapt-pkg-dev_0.7.22_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.22_i386.deb
libapt-pkg-doc_0.7.22_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.22_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433007@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jul 2009 19:16:22 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.22
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 64141 87520 97564 137583 189866 341970 355237 433007 438803 454989 458389 459605 462734 470035 525043 525857 526816 528985 529007 529730 531390 531758 531921 534752 535218 535328 535512 536430
Changes: 
 apt (0.7.22) unstable; urgency=low
 .
   [ Christian Perrier ]
   * Documentation translations:
     - Fix a typo in apt-get(8) French translation. Closes: #525043
       Thanks to Guillaume Delacour for spotting it.
     - Updated apt.conf(5) manpgae French translation.
       Thanks to Aurélien Couderc.
   * Translations:
     - fr.po
     - sk.po. Closes: #525857
     - ru.po. Closes: #526816
     - eu.po. Closes: #528985
     - zh_CN.po. Closes: #531390
     - fr.po
     - it.po. Closes: #531758
     - ca.po. Closes: #531921
     - de.po. Closes: #536430
   * Added translations
     - ast.po (Asturian by Marcos Alvareez Costales).
       Closes: #529007, #529730, #535328
 .
   [ David Kalnischkies ]
   * [ABI break] support '#' in apt.conf and /etc/apt/preferences
     (closes: #189866)
   * [ABI break] Allow pinning by codename (closes: #97564)
   * support running "--simulate" as user
   * add depth information to the debug output and show what depends
     type triggers a autoinst (closes: #458389)
   * add Debug::pkgDepCache::Marker with more detailed debug output
     (closes: #87520)
   * add Debug::pkgProblemResolver::ShowScores and make the scores
     adjustable
   * do not write state file in simulate mode (closes: #433007)
   * add hook for MarkInstall and MarkDelete (closes: #470035)
   * fix typo in apt-pkg/acquire.cc which prevents Dl-Limit to work
     correctly when downloading from multiple sites (Closes: #534752)
   * add the various foldmarkers in apt-pkg & cmdline (no code change)
   * versions with a pin of -1 shouldn't be a candidate (Closes: #355237)
   * prefer mmap as memory allocator in MMap instead of a static char
     array which can (at least in theory) grow dynamic
   * eliminate (hopefully all) segfaults in pkgcachegen.cc and mmap.cc
     which can arise if cache doesn't fit into the mmap (Closes: #535218)
   * display warnings instead of errors if the parts dirs doesn't exist
 .
   [ Michael Vogt ]
   * honor the dpkg hold state in new Marker hooks (closes: #64141)
   * debian/apt.cron.daily:
     - if the timestamp is too far in the future, delete it
   * apt-pkg/acquire.cc:
     - make the max pipeline depth of the acquire queue configurable
       via Acquire::Max-Pipeline-Depth
   * apt-pkg/deb/dpkgpm.cc:
     - add Dpkg::UseIoNice boolean option to run dpkg with ionice -c3
       (off by default)
     - send "dpkg-exec" message on the status fd when dpkg is run
     - provide DPkg::Chroot-Directory config option (useful for testing)
     - fix potential hang when in a backgroud process group
   * apt-pkg/algorithms.cc:
     - consider recommends when making the scores for the problem
       resolver
   * apt-pkg/acquire-worker.cc:
     - show error details of failed methods
   * apt-pkg/contrib/fileutl.cc:
     - if a process aborts with signal, show signal number
   * methods/http.cc:
     - ignore SIGPIPE, we deal with EPIPE from write in
       HttpMethod::ServerDie() (LP: #385144)
   * Only run Download-Upgradable and Unattended-Upgrades if the initial
     update was successful Closes: #341970
   * apt-pkg/indexcopy.cc:
     - support having CDs with no Packages file (just a Packages.gz)
       by not forcing a verification on non-existing files
      (LP: #255545)
     - remove the gettext from a string that consists entirely
       of variables (LP: #56792)
   * apt-pkg/cacheiterators.h:
     - add missing checks for Owner == 0 in end()
   * apt-pkg/indexrecords.cc:
     - fix some i18n issues
   * apt-pkg/contrib/strutl.h:
     - add new strprintf() function to make i18n strings easier
     - fix compiler warning
   * apt-pkg/deb/debsystem.cc:
     - make strings i18n able
   * fix problematic use of tolower() when calculating the version
     hash by using locale independant tolower_ascii() function.
     Thanks to M. Vefa Bicakci (LP: #80248)
   * build fixes for g++-4.4
   * cmdline/apt-mark:
     - add "showauto" option to show automatically installed packages
   * document --install-recommends and --no-install-recommends
     (thanks to Dereck Wonnacott, LP: #126180)
   * doc/apt.conf.5.xml:
     - merged patch from Aurélien Couderc to improve the text
       (thanks!)
   * [ABI] merged the libudev-dlopen branch, this allows to pass
     "apt-udev-auto" to Acquire::Cdrom::mount and the cdrom method will
     dynamically find/mount the cdrom device (if libhal is available)
 .
   [ Julian Andres Klode ]
   * apt-pkg/contrib/configuration.cc: Fix a small memory leak in
     ReadConfigFile.
   * Introduce support for the Enhances field. (Closes: #137583)
   * Support /etc/apt/preferences.d, by adding ReadPinDir() (Closes: #535512)
   * configure-index: document Dir::Etc::SourceParts and some other options
     (Closes: #459605)
   * Remove Eugene V. Lyubimkin from uploaders as requested.
   * apt-pkg/contrib/hashes.cc, apt-pkg/contrib/md5.cc:
     - Support reading until EOF if Size=0 to match behaviour of
       SHA1Summation and SHA256Summation
 .
   [ Osamu Aoki ]
   * Updated cron script to support backups by hardlinks and
     verbose levels.  All features turned off by default.
   * Added more error handlings.  Closes: #438803, #462734, #454989,
   * Documented all cron script related configuration items in
     configure-index.
 .
   [ Dereck Wonnacott ]
   * apt-ftparchive might write corrupt Release files (LP: #46439)
   * Apply --important option to apt-cache depends (LP: #16947)
 .
   [ Otavio Salvador ]
   * Apply patch from Sami Liedes <sliedes@cc.hut.fi> to reduce the
     number of times we call progress bar updating and debugging
     configuration settings.
   * Apply patch from Sami Liedes <sliedes@cc.hut.fi> to avoid unecessary
     temporary allocations.
Checksums-Sha1: 
 c2e6ab9a796e5bbfd6f1a9ade0a73fb9925caa07 1168 apt_0.7.22.dsc
 a09dcd0a8d802c8a661f7395a20081fcf7557c30 2123608 apt_0.7.22.tar.gz
 dcf28b184a0ed0e8fe94a65cd350d46c7e4b8c01 102030 apt-doc_0.7.22_all.deb
 9c6798539b028b83a2fc41f01c26956ac91c03a1 126148 libapt-pkg-doc_0.7.22_all.deb
 cc8c4a0ccd48c8fbfe3ca16dee389dcc4733f95e 1636694 apt_0.7.22_i386.deb
 572c8cdff7a30e479cfbce46902115e1b11f82bf 112400 libapt-pkg-dev_0.7.22_i386.deb
 042855bc5f7102104b756c2c65eb326c49d7fa7c 190530 apt-utils_0.7.22_i386.deb
 88c9a54c94619168c7f0f3cfb68ac67e51a840d5 60864 apt-transport-https_0.7.22_i386.deb
Checksums-Sha256: 
 9c6fa50b0e6b6ccd0d4d6325c950636fd440b22873c13689b3725d7ce7ed3100 1168 apt_0.7.22.dsc
 e7bd4e8b6064ca64ce207d79b0be21abb0554e1adb04c573d084facff9b928ef 2123608 apt_0.7.22.tar.gz
 11ca39806265a9e535cdee8cc028c07a8c2eb9a816640151bfda3b11acd67b8f 102030 apt-doc_0.7.22_all.deb
 443f2caab489210450d218998f53a85794768394820cdde6beaefb182a251534 126148 libapt-pkg-doc_0.7.22_all.deb
 683ea4aabfc1ef5b170d7f0ec44294c8752e5af45628e3cfc72c0d0cb41d67c6 1636694 apt_0.7.22_i386.deb
 e9ccb0e6c08aaf89f4e8f813d48bb60445031827210232be34efeececfb08fdb 112400 libapt-pkg-dev_0.7.22_i386.deb
 c9f3d039c2c4611f75e96ff5abda4cda0ba2474218853f2d58d0aaab23de6b2f 190530 apt-utils_0.7.22_i386.deb
 ed208c1ba4f5282e571580d2b9390d31a5ca9b84330efcabb232364e78b0cd1f 60864 apt-transport-https_0.7.22_i386.deb
Files: 
 89afeab5a5cc8bf1b9c316b0b2ef1906 1168 admin important apt_0.7.22.dsc
 a496a8534fb2fd329322436f28772611 2123608 admin important apt_0.7.22.tar.gz
 82c53371031eac69f9603c3a781eef46 102030 doc optional apt-doc_0.7.22_all.deb
 f7bd3c75b787ffe23f84cc2f0ad5187f 126148 doc optional libapt-pkg-doc_0.7.22_all.deb
 a841760867ea84ebbf9a23d7b21e0b70 1636694 admin important apt_0.7.22_i386.deb
 6e58f8eeb4701046e7ceff6bce4c0461 112400 libdevel optional libapt-pkg-dev_0.7.22_i386.deb
 ab084bea859f27e67649083e9bd75f26 190530 admin important apt-utils_0.7.22_i386.deb
 2aad7d76b2e671193d7eea696b94c080 60864 admin optional apt-transport-https_0.7.22_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpwrOkACgkQliSD4VZixzT9jQCbBVw1Ue+JG2q+DPyoYWa367K1
bUQAoJUwkaR3/8zURwkH5OGB8OnFe2dy
=T1Gw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Aug 2009 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:31:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.